WoMax Documentation

# t_OMax_date2state Struct Reference
[Max5 Externals, Data Sequence structure]

OMax.date2state external. More...

Collaboration diagram for t_OMax_date2state:
[legend]

List of all members.

## Public Attributes
t_object | ob
| Pointer to the object itself.
t_symbol * | oname
| Pointer to FO name.
t_symbol * | dataname
| Pointer to Data Sequence name.
bool | obound
| Binding flag.
O_DataType | datatype
| Type of data.
O_data * | data
| Pointer to Data Sequence structure.
void * | out
| Outlet 0 (leftmost): state number.
## Standard Max5 methodes
void * | OMax_date2state_new (t_symbol *s, long argc, t_atom *argv)
| Object instantiation.
void | OMax_date2state_free (t_OMax_date2state *x)
| Object destruction.
void | OMax_date2state_assist (t_OMax_date2state *x, void *b, long m, long a, char *s)
| Inlet/Outlet contextual information when patching in Max5.
## Internal routines
t_symbol * | OMax_date2state_name (t_symbol *oname)
| Return Data Sequence name from FO name.
bool | OMax_date2state_bind (t_OMax_date2state *x)
| Bind the translator with Data Structure.
## Input/Output routines
void | OMax_date2state_do (t_OMax_date2state *x, long date)
| Output the state number corresponding to the given state.
void | OMax_date2state_setname (t_OMax_date2state *x, t_symbol *s)
| Changes the OMax.data object to read states/dates from.

## Detailed Description

OMax.date2state external.

This external translates a date (in ms, Data Sequence domain) into the corresponding state number (FO domain) in Max5

Definition at line 30 of file OMax.date2state.c.

## Member Function Documentation

bool OMax_date2state_bind | ( | t_OMax_date2state * | x | ) |

Bind the translator with Data Structure.

Remarks:
  Do this binding only once

Check if `name_data` points to an existing OMax.data object. If so, set t_OMax_state2date::data to point to the Data Sequence structure (t_OMax_data::data member)

Remarks:
  Sets data type too

Definition at line 162 of file OMax.date2state.c.

Here is the call graph for this function:

void OMax_date2state_do | ( | t_OMax_date2state * | x,
|  | long | date |
| ) |  |  |

Output the state number corresponding to the given state.

Remarks:
  Input message in Max5: a date (`int` in ms)

Definition at line 193 of file OMax.date2state.c.

Here is the call graph for this function:

t_symbol * OMax_date2state_name | ( | t_symbol * | oname | ) |

Return Data Sequence name from FO name.

Append `_data` to the FO name

Definition at line 151 of file OMax.date2state.c.

void * OMax_date2state_new | ( | t_symbol * | s,
|  | long | argc,
|  | t_atom * | argv |
| ) |  |  |

Object instantiation.

Check first argument of the Max5 object for a FO name

Definition at line 92 of file OMax.date2state.c.

void OMax_date2state_setname | ( | t_OMax_date2state * | x,
|  | t_symbol * | s |
| ) |  |  |

Changes the OMax.data object to read states/dates from.

Remarks:
  Input message in Max5: `set` followed by the name of an existing 0Max.data object to read

Definition at line 222 of file OMax.date2state.c.

Here is the call graph for this function:

The documentation for this struct was generated from the following file:

- OMax.date2state.c